# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Perl/Code.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(MooX/Enumeration.pm) perl(Pod/Coverage/TrustPod.pm) perl(REST/Client.pm) perl(Role/REST/Client.pm) perl(Test/CPAN/Meta.pm) perl(Test/DistManifest.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/HasVersion.pm) perl(Test/Kwalitee.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Warn.pm) perl(Types/Standard.pm) perl(namespace/clean.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define module_name WebService-IPStack
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Perl library for using IPStack, https://ipstack.com.
Group: Development/Perl
License: artistic_2
URL: https://github.com/kianmeng/webservice-ipstack

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIANMENG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WebService::IPStack is a Perl library for obtaining information on IPv4 or IPv6
address.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md Changes LICENSE README
%perl_vendor_privlib/W*

%changelog
* Wed Feb 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

